export interface BlinkloaderConfig {
    host?: string;
    cdnBase: string;
    lazyload?: boolean;
    batchSize?: number;
    batchInterval?: number;
    responsive?: boolean;
    webp?: boolean;
    retina?: boolean;
    valid?: boolean;
    fadeIn?: boolean;
}
export type ImageFormat = 'jpeg' | 'png' | 'webp';
export type ResizingType = 'fit' | 'fill' | 'auto';
export type GravityType = 'no' | 'so' | 'ea' | 'we' | 'ce' | 'sm';
export interface ImageConfig {
    src: string;
    width: number | null;
    height: number | null;
    quality: number | null;
    format: ImageFormat | null;
    resizingType: ResizingType | null;
    gravity: GravityType | null;
    enlarge: boolean | null;
    extend: boolean | null;
}
export interface BlinkloaderImage {
    node: HTMLElement;
    config: ImageConfig;
}
//# sourceMappingURL=blinkloader.types.d.ts.map